MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Auth
Bundler
Bundles
Catalog
Deployments
Create DeploymentRemove Entry CredentialDelete DeploymentGenerate TokenGet DeploymentLink Vault EntryList Credential MetadataList DeploymentsRename DeploymentRevoke TokenUnlink Vault EntryUpdate Router ConfigWrite Credential
Discover
LLM
MCP Listing Claims
MCP Listings
OAuth2
Observability
Organisations
Reviews
Roadmap
SCIM
Users
Utils
Vault
Webhooks
API ReferenceDeployments

Write Credential

PUT
/v1/deployments/{deployment_id}/credentials/{entry_id}

Stores an encrypted credential. The value is never returned.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

deployment_id*Deployment Id
Formatuuid
entry_id*Entry Id
Formatuuid

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/v1/deployments/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "auth_type": "string",    "credential_json": "string"  }'
Empty
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Update Router Config

Previous Page

Discover

Endpoints in the Discover group.

auth_type*Auth Type
Match^(bearer|api_key|basic|oauth2_cc|oauth2_pkce|custom_headers)$
credential_json*Credential Json

JSON-serialized credential payload — encrypted server-side before storage.

skip?Skip
Defaultfalse